Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751364 - dev-libs/libgcrypt-1.8.7 : configure: error: libgpg-error is needed.
Summary: dev-libs/libgcrypt-1.8.7 : configure: error: libgpg-error is needed.
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-26 17:33 UTC by Toralf Förster
Modified: 2020-12-29 17:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.30 KB, text/plain)
2020-10-26 17:33 UTC, Toralf Förster
Details
dev-libs:libgcrypt-1.8.7:20201025-220151.log (dev-libs:libgcrypt-1.8.7:20201025-220151.log,11.21 KB, text/plain)
2020-10-26 17:33 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,286.23 KB, text/plain)
2020-10-26 17:33 UTC, Toralf Förster
Details
environment (environment,99.09 KB, text/plain)
2020-10-26 17:33 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.16 KB, application/x-bzip)
2020-10-26 17:33 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.16 KB, application/x-bzip)
2020-10-26 17:33 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.86 KB, application/x-bzip)
2020-10-26 17:33 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-10-26 17:33:01 UTC
/var/tmp/portage/dev-libs/libgcrypt-1.8.7/work/libgcrypt-1.8.7/configure: line 12229: test: mym4_version: integer expression expected
no
configure: error: libgpg-error is needed.
                See ftp://ftp.gnupg.org/gcrypt/libgpg-error/ .

!!! Please attach the following file when seeking support:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20201019-041507

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-bin-1.47.0 *
  [2]   rust-1.47.0
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.272_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm


  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun Oct 25 08:35:25 PM UTC 2020

emerge -qpvO dev-libs/libgcrypt
[ebuild     U ] dev-libs/libgcrypt-1.8.7 [1.8.6] USE="-doc -o-flag-munging"
Comment 1 Toralf Förster gentoo-dev 2020-10-26 17:33:02 UTC
Created attachment 668666 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-10-26 17:33:04 UTC
Created attachment 668669 [details]
dev-libs:libgcrypt-1.8.7:20201025-220151.log
Comment 3 Toralf Förster gentoo-dev 2020-10-26 17:33:05 UTC
Created attachment 668672 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-10-26 17:33:07 UTC
Created attachment 668675 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-10-26 17:33:08 UTC
Created attachment 668678 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-10-26 17:33:09 UTC
Created attachment 668681 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-10-26 17:33:11 UTC
Created attachment 668684 [details]
temp.tbz2
Comment 8 Lars Wendler (Polynomial-C) gentoo-dev 2020-12-29 17:15:45 UTC
Let's mark it as invalid unless someone can explain to me how I can reproduce the issue.